import { Line } from '@antv/g2plot';
import { chartsGradients } from '../settings';
export const LineChart = (container, config) => {
    const configuration = config;
    configuration.smooth ||= true;
    configuration.color ||= chartsGradients.rapidBlue;
    configuration.area ||= {
        style: {
            fillOpacity: 0.15,
        },
    };
    configuration.lineStyle ||= {
        lineWidth: 5,
    };
    configuration.point ||= {
        size: 6,
        shape: 'circle',
        style: {
            fill: 'white',
            stroke: '#5B8FF9',
            lineWidth: 2,
        },
    };
    return new Line(container, configuration);
};
