import { Mix } from '@antv/g2plot';
import { PrimaryRapidColorHEX } from '@genesislcap/foundation-zero';
import { chartsGradients } from '../settings';
export const MixChart = (container, config) => {
    const configuration = config;
    let index = 0;
    configuration.plots.forEach((plot) => {
        if (plot.type == 'area') {
            plot.options.areaStyle ||= {
                fill: `l(270) 0:rgba(0, 0, 0, 0) 0.5:${PrimaryRapidColorHEX.purple} 1:${PrimaryRapidColorHEX.blue}`,
                lineWidth: 5,
            };
        }
        if (plot.type == 'column') {
            plot.options.color ||= chartsGradients.rapidBlue;
            plot.options.shape = 'rapid-shape';
        }
        if (plot.type == 'bar') {
            plot.options.color ||= Object.values(chartsGradients);
            plot.options.shape = 'rapid-shape';
        }
        if (plot.type == 'line') {
            plot.options.color ||= Object.values(chartsGradients)[index];
            index = index + 1;
        }
    });
    configuration.color ||= chartsGradients.rapidBlue;
    configuration.shape = 'rapid-shape';
    return new Mix(container, configuration);
};
